---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: moodle-api
spec:
  template:
    spec:
      containers:
        - name: moodle-api
          env:
            - name: TTL
              value: "10"
            - name: HOMEROOT
              value: /mnt
            - name: GUNICORN_CMD_ARGS
              value: "--timeout=60"
            - name: AUTH_USER
              {% if item.moodle_api_auth_user is defined %}
value: {{ item.moodle_api_auth_user }}
              {% else %}
value: {{ moodle_api_auth_user }}
              {% endif %}

            - name: AUTH_KEY
              {% if item.moodle_api_auth_key is defined %}
value: {{ item.moodle_api_auth_key }}
              {% else %}
value: {{ moodle_api_auth_key }}
              {% endif %}
